POST api/internalApp/UpdateBulkInventoryItemPrices
Request Information
URI Parameters
None.
Body Parameters
Collection of StockItemPrice| Name | Description | Type | Additional information |
|---|---|---|---|
| pkRowId | globally unique identifier |
None. |
|
| Source | string |
None. |
|
| SubSource | string |
None. |
|
| Price | decimal number |
None. |
|
| UpdateStatus | UpdateStatusType |
None. |
|
| Tag | string |
None. |
|
| Rules | Collection of StockItemPricingRule |
None. |
|
| StockItemId | globally unique identifier |
None. |
|
| sku | string |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"pkRowId": "7dfb90fa-8dc2-43cc-83dd-904a21a60753",
"source": "sample string 2",
"subSource": "sample string 3",
"price": 4.1,
"updateStatus": 0,
"tag": "sample string 5",
"rules": [
{
"$id": "2",
"pkRowId": 1,
"fkStockPricingId": "f9c90258-50fd-4985-bfed-ac852d022618",
"type": "sample string 2",
"lowerBound": 3,
"value": 4.1
},
{
"$ref": "2"
}
],
"stockItemId": "9aca8b96-c51f-4b8b-9203-5f2db9006afa",
"sku": "sample string 7"
},
{
"$ref": "1"
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ObjectNone.
Response Formats
application/json, text/json
Sample:
{}